unit wsc32uc;

{wsc32uc.pas, Version 7.0.0, unsafe code [DELPHI Prism]}

interface

const
   { COMM Ports }
   COM1 = 0;
   COM2 = 1;
   COM3 = 2;
   COM4 = 3;
   COM5 = 4;
   COM6 = 5;
   COM7 = 6;
   COM8 = 7;
   COM9 = 8;
   COM10 = 9;
   COM11 = 10;
   COM12 = 11;
   COM13 = 12;
   COM14 = 13;
   COM15 = 14;
   COM16 = 15;
   {COM17 thru COM256 are defined in the same pattern as above}
   COM256 = 255;
   { Baud Rate Codes }
   WSC_Baud110  = 0;
   WSC_Baud300  = 1;
   WSC_Baud1200 = 2;
   WSC_Baud2400 = 3;
   WSC_Baud4800 = 4;
   WSC_Baud9600 = 5;
   WSC_Baud19200  = 6;
   WSC_Baud38400  = 7;
   WSC_Baud57600  = 8;
   WSC_Baud115200 = 9;
   { Parity Codes }
   WSC_NoParity    = 0;
   WSC_OddParity   = 1;
   WSC_EvenParity  = 2;
   WSC_MarkParity  = 3;
   WSC_SpaceParity = 4;
   { Stop Bit Codes }
   WSC_OneStopBit   = 0;
   WSC_One5StopBits = 1;
   WSC_TwoStopBits  = 2;
   { Word Length Codes }
   WSC_IntegerLength5 = 5;
   WSC_IntegerLength6 = 6;
   WSC_IntegerLength7 = 7;
   WSC_IntegerLength8 = 8;
   { data bits same as word length }
   WSC_DataBits_5 = 5;
   WSC_DataBits_6 = 6;
   WSC_DataBits_7 = 7;
   WSC_DataBits_8 = 8;   
   { data bits same as word length }
	WSC_DataBits_5 = 5;
	WSC_DataBits_6 = 6;
	WSC_DataBits_7 = 7;
   WSC_DataBits_8 = 8;
   { WSC errors }
   WSC_BUSY      = -100;
   WSC_NO_DATA   = -100;
   WSC_RANGE     = -101;
   WSC_ABORTED   = -102;
   WSC_WIN32ERR  = -103;
   WSC_EXPIRED   = -104;
   WSC_BUFFERS   = -105;
   WSC_THREAD    = -106;
   WSC_TIMEOUT   = -107;
   WSC_KEYCODE   = -108;
   WSC_BUFFER_RANGE = -109;
   WSC_BUFLEN_RANGE = -110;
   WSC_BAD_CMD      = -111;
   WSC_BAD_PARITY   = -112;
   WSC_BAD_STOPBIT  = -113;
   WSC_BAD_WORDLEN  = -114;   
   { Windows comm errors }
   WSC_IE_BADID     = -1;
   WSC_IE_OPEN      = -2;
   WSC_IE_NOPEN     = -3;
   WSC_IE_MEMORY    = -4;
   WSC_IE_DEFAULT   = -5;
   WSC_IE_HARDWARE  = -10;
   WSC_IE_BYTESIZE  = -11;
   WSC_IE_BAUDRATE  = -12;
   WSC_IO_ERROR     = -13;
   { SioGetError masks }
   WSC_RXOVER   = $0001;
   WSC_OVERRUN  = $0002;
   WSC_PARITY   = $0004;
   WSC_FRAME    = $0008;
   WSC_BREAK    = $0010;
   WSC_TXFULL   = $0100;
   { commands }
   WSC_ASSERT_BREAK = 'A';
   WSC_CANCEL_BREAK = 'C';
   WSC_DETECT_BREAK = 'D';
   WSC_SET_LINE     = 'S';
   WSC_CLEAR_LINE   = 'C';
   WSC_READ_LINE    = 'R';
   { flow control codes }
   WSC_HARDWARE_FLOW_CONTROL = 'H';
   WSC_SOFTWARE_FLOW_CONTROL = 'S';
   WSC_NO_FLOW_CONTROL       = 'N';
   { SioInfo codes }
   WSC_GET_VERSION = 'V';
   WSC_GET_BUILD   = 'B';
   WSC_IS_32BITS   = '3';
   { SioSetInteger codes }
   WSC_WAIT_ON_PUTS = 'W';
   WSC_SIGNAL       = 'S';
   WSC_OVERLAPPED   = 'O';   
   { SioEvent, SioEventChar, and SioEventWait codes }
   WSC_IO_PENDING   = 2; 
   WSC_IO_COMPLETE  = 3;  
   { SioPortInfo codes}
   WSC_PORT_BAUD = 'B';
   WSC_PORT_CPS  = 'C';

{$UNSAFECODE ON}

 function SioBaud(Port, BaudCode : Integer) : Integer; stdcall; unsafe;
 function SioBrkSig(Port : Integer; Cmd : AnsiChar) : Integer; stdcall; unsafe;
 function SioClose(Port : Integer) : Integer; stdcall; unsafe;
 function SioCRC16(Buffer : String; BufLen : Integer) : Integer; stdcall; unsafe;
 function SioCRC32(Buffer : String; BufLen : Integer) : Integer; stdcall; unsafe;
 function SioCTS(Port : Integer) : Integer; stdcall; unsafe;
 function SioDCD(Port : Integer) : Integer; stdcall; unsafe;
 function SioDebug(Cmd : Integer) : Integer; stdcall; unsafe;
 function SioDone(Port : Integer) : Integer; stdcall; unsafe;
 function SioDSR(Port : Integer) : Integer; stdcall; unsafe;
 function SioDTR(Port : Integer; Cmd : AnsiChar) : Integer; stdcall; unsafe;
 function SioErrorText(ErrCode:Integer; Buffer:String; BufLen:Integer) : Integer; stdcall; unsafe;
 function SioEvent(Port : Integer; Mask : Integer) : Integer; stdcall; unsafe;
 function SioEventChar(Port : Integer; EvtChar: AnsiChar; Timeout : Integer) : Integer; stdcall; unsafe;
 function SioEventWait(Port : Integer; Mask : Integer; Timeout : Integer) : Integer; stdcall; unsafe;
 function SioFlow(Port: Integer; Cmd : AnsiChar) : Integer; stdcall; unsafe;
 function SioGetc(Port: Integer) : Integer; stdcall; unsafe;
 function SioGetReg(Buffer : String; BufSize : Integer) : Integer; stdcall; unsafe;
 function SioGets(Port: Integer; Buffer : String; Size : Integer) : Integer; stdcall; unsafe;
 function SioGetsC(Port:Integer; Buffer:String; BufLen:Integer; Timeout:Integer; StopChr : AnsiChar) : Integer; stdcall; unsafe;
 function SioGetsQ(Port, QuietTime : Integer; Buffer : PAnsiChar; BufLen : Integer) : Integer; stdcall; unsafe;
 function SioHexView(Binary : String; ByteCount : Integer; Buffer : String; BufLen : Integer) : Integer; stdcall; unsafe;
 function SioInfo(Cmd : AnsiChar) : Integer; stdcall; unsafe;
 function SioKeyCode(KeyCode : Integer) : Integer; stdcall; unsafe;
 function SioLRC(Buffer : String; BufLen : Integer) : Integer; stdcall; unsafe;
 function SioMessage(Port, Handle, MsgCode: Integer; Mask: LongInt) : Integer; stdcall; unsafe;
 function SioOpen(Port : Integer) : Integer; stdcall; unsafe;
 function SioParms(Port, ParityCode, StopBitsCode, DataBitsCode : Integer) : Integer; stdcall; unsafe;
 function SioPortInfo(Port:Integer; Parm : AnsiChar) : Integer; stdcall; unsafe;
 function SioPutc(Port : Integer; Ch : AnsiChar) : Integer; stdcall; unsafe;
 function SioPuts(Port : Integer; Buffer : String; Size : Integer) : Integer; stdcall; unsafe;
 function SioQuiet(Port, QuietTime, TimeOut : Integer): Integer; stdcall; unsafe;
 function SioRead(Port : Integer; Reg : Integer) : Integer; stdcall; unsafe;
 function SioReset(Port, RxQueSize, TxQueSize : Integer) : Integer; stdcall; unsafe;
 function SioRI(Port : Integer) : Integer; stdcall; unsafe;
 function SioRTS(Port : Integer; Cmd : AnsiChar) : Integer; stdcall; unsafe;
 function SioRxClear(Port : Integer) : Integer; stdcall; unsafe;
 function SioRxQue(Port : Integer) : Integer; stdcall; unsafe;
 function SioRxWait(Port, BytesWanted, Timeout : Integer): Integer; stdcall; unsafe;
 function SioSetInteger(Port : Integer; ParmName : Integer; ParmValue : Integer) : Integer; stdcall; unsafe;
 function SioSleep(MilliSecs : Integer) : Integer; stdcall; unsafe;
 function SioStatus(Port : Integer; Mask : Integer) : Integer; stdcall; unsafe;
 function SioTimeMark(Mask : Integer) : Integer; stdcall; unsafe;
 function SioTimer : LongInt; stdcall; unsafe;
 function SioTxClear(Port : Integer) : Integer; stdcall; unsafe;
 function SioTxQue(Port : Integer) : Integer; stdcall; unsafe;
 function SioUnGetc(Port : Integer; Ch : AnsiChar) : Integer; stdcall; unsafe;
 function SioWaitFor(Port, TimeOut : Integer): Integer; stdcall; unsafe;
 function SioWinError(Buffer : String; Size : Integer) : Integer; stdcall; unsafe;
 
implementation

 function SioBaud; external 'wsc32.dll';
 function SioBrkSig; external 'wsc32.dll';
 function SioClose; external 'wsc32.dll';
 function SioCRC32; external 'wsc32.dll';
 function SioCTS; external 'wsc32.dll';
 function SioDCD; external 'wsc32.dll';
 function SioDebug; external 'wsc32.dll';
 function SioDone; external 'wsc32.dll';
 function SioDSR; external 'wsc32.dll';
 function SioDTR; external 'wsc32.dll';
 function SioErrorText; external 'wsc32.dll';
 function SioEvent; external 'wsc32.dll';
 function SioEventChar; external 'wsc32.dll';
 function SioEventWait; external 'wsc32.dll';
 function SioFlow; external 'wsc32.dll';
 function SioGetc; external 'wsc32.dll';
 function SioGetReg; external 'wsc32.dll';
 function SioGets; external 'wsc32.dll';
 function SioGetsC; external 'wsc32.dll';
 function SioHexView; external 'wsc32.dll';
 function SioInfo; external 'wsc32.dll';
 function SioKeyCode; external 'wsc32.dll';
 function SioLRC; external 'wsc32.dll';
 function SioMessage; external 'wsc32.dll';
 function SioParms; external 'wsc32.dll';
 function SioPortInfo; external 'wsc32.dll';
 function SioPutc; external 'wsc32.dll';
 function SioPuts; external 'wsc32.dll';
 function SioQuiet; external 'wsc32.dll';
 function SioRead; external 'wsc32.dll';
 function SioReset; external 'wsc32.dll';
 function SioRI; external 'wsc32.dll';
 function SioRTS; external 'wsc32.dll';
 function SioRxClear; external 'wsc32.dll';
 function SioRxQue; external 'wsc32.dll';
 function SioRxWait; external 'wsc32.dll';
 function SioSetInteger; external 'wsc32.dll';
 function SioSleep; external 'wsc32.dll';
 function SioStatus; external 'wsc32.dll';
 function SioTimeMark; external 'wsc32.dll';
 function SioTimer; external 'wsc32.dll';
 function SioTxClear; external 'wsc32.dll';
 function SioTxQue; external 'wsc32.dll';
 function SioUnGetc; external 'wsc32.dll';
 function SioWaitFor; external 'wsc32.dll';
 function SioWinError; external 'wsc32.dll';
end.
